
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

var colorCount = 0;

var linhas = new Array(20);
for(i=0; i<20; i++) {
	linhas[i] = 0;
}

var cores = new Array(10);
cores[0] = "color1";
cores[1] = "color2";
cores[2] = "color3";
cores[3] = "color4";
cores[4] = "color5";
cores[5] = "color6";
cores[6] = "color7";
cores[7] = "color8";
cores[8] = "color9";
cores[9] = "color10";

function changeColorByGroup (linhaAtual) {
	
	//valor digitado no campo 'OU'
	valor = document.getElementById('form_ouDisciplina'+linhaAtual).value;
	
	if(valor > 0 && valor < 21) {
		//celula indicada pelo campo OU
		celula2 = document.getElementById('celula'+valor);
		//celula em que o usuario digitou o campo OU
		celulaAtual = document.getElementById('celula'+linhaAtual);
		
		if(linhas[valor-1] == 0 && linhas[linhaAtual-1] == 0) {
			celulaAtual.className = cores[colorCount];
			celula2.className = cores[colorCount];	
			
			colorCount++;
			linhas[valor-1] = 1;
			linhas[linhaAtual-1] = 1;
		}
		else {
			if(linhas[valor-1] == 1 && linhas[linhaAtual-1] == 0) {
				celulaAtual.className = celula2.className;
				linhas[linhaAtual-1] = 1;
			}
			else {
				celula2.className = celulaAtual.className;
				linhas[valor-1] = 1;
			}
		}
	}
}